SamplerVeryFastAnnealing Class Reference

Very Fast Annealing Sampler. More...

`#include <ql/experimental/math/hybridsimulatedannealingfunctors.hpp>`

## Public Member Functions

| SamplerVeryFastAnnealing (const Array &lower, const Array &upper, unsigned long seed=SeedGenerator::instance().get())
| SamplerVeryFastAnnealing (const SamplerVeryFastAnnealing &sampler)
void | operator() (Array &newPoint, const Array &currentPoint, const Array &temp) const

## Detailed Description

Very Fast Annealing Sampler.

For consistency should be used with TemperatureVeryFastAnnealing. Requires that the parameter space be bounded above and below.